<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<!-- ======= Header ======= -->
<header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">

        <h1 class="logo mr-auto"><a th:ref="/" href="/"><img src="/assets/img/logo.png" alt="safety-car-logo"><span>Safety</span>Car</a>
        </h1>

        <nav class="nav-menu d-none d-lg-block">
            <ul>
                <li><a th:ref="/" href="/">Home</a></li>
                <li><a th:href="@{/about-us}" href="/about-us">About Us</a></li>
                <li><a th:href="@{/offer}" href="/offer">Simulate Offer</a></li>
                <li><a th:href="@{/policy}" href="/policy">Request Policy</a></li>
                <li sec:authorize="isAuthenticated()"
                    th:if="${#authorization.expression('hasRole(''ADMIN'')')}"><a th:href="@{/requests}">Requests</a>
                </li>
                <li><a th:href="@{/contact}" href="contact.html">Contact</a></li>
                <li sec:authorize="!isAuthenticated()">
                    <a th:href="@{/login}" href="/login">Log in</a>
                </li>
                <li class="active" sec:authorize="!isAuthenticated()">
                    <a th:href="@{/register}" href="/register">Register</a>
                </li>
            </ul>
        </nav>
        <!-- .nav-menu -->

        <!--        <div class="header-social-links">-->
        <!--            <a href="#" class="twitter"><i class="icofont-twitter"></i></a>-->
        <!--            <a href="#" class="facebook"><i class="icofont-facebook"></i></a>-->
        <!--            <a href="#" class="instagram"><i class="icofont-instagram"></i></a>-->
        <!--            <a href="#" class="linkedin"><i class="icofont-linkedin"></i></a>-->
        <!--        </div>-->
    </div>
</header>
<!-- End Header -->

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Register</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Register</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Register Section ======= -->

    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Fill out the form below in order to register to
                    SafetyCar</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/register}" th:object="${user}" method="post" role="form"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="first-name"><b>First name</b></label>
                                <label th:errors="*{firstName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{firstName}" type="text" name="first-name" class="form-control"
                                       id="first-name"
                                       placeholder="Enter your first name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="last-name"><b>Last name</b></label>
                                <label th:errors="*{lastName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{lastName}" type="text" name="lastName" class="form-control"
                                       id="last-name"
                                       placeholder="Enter your last name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="email"><b>Email</b></label>
                                <label th:errors="*{email}" style="color: red; font-weight: bold"></label>
                                <label th:if="${mailTaken != null}" th:text="${mailTaken}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{email}" type="email" class="form-control" name="email" id="email"
                                       placeholder="Enter your Email"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="phone"><b>Phone</b></label>
                                <label th:errors="*{phone}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{phone}" type="text" class="form-control" name="phone" id="phone"
                                       placeholder="Enter your phone: +359xxxxxxx"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="password"><b>Password</b></label>
                                <label th:errors="*{password}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{password}" type="password" class="form-control" name="phone"
                                       id="password"
                                       placeholder="Enter your password"
                                       required/>

                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="psw-repeat"><b>Confirm password</b></label>
                                <label th:if="${passMatch != null}" th:text="${passMatch}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{passwordConfirmation}" type="password" class="form-control"
                                       name="phone" id="psw-repeat"
                                       placeholder="Re-enter your password"
                                       required/>
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">You have successfully registered! Please go to you email and click
                                on the activation link we have sent you in order to activate your account.
                            </div>
                        </div>
                        <label class="form-row justify-content-center" th:if="${reCaptchaError != null}"
                               th:text="${reCaptchaError}" style="color: red; font-weight: bold"></label>
                        <div class="form-row justify-content-center">
                            <div class="g-recaptcha" data-sitekey="6LedBtgZAAAAACT0hX43qmX1q-dNm-8STw9LH_kl"
                                 id="captcha"></div>
                        </div>
                        <br/>
                        <div class="form-row justify-content-center">
                            <p>By creating an account you agree to our <a href="/terms">Terms & Privacy</a>.</p>
                        </div>
                        <div class="text-center">
                            <button type="submit">Register</button>
                        </div>
                        <br/>
                        <div class="form-row justify-content-center">
                            <p>Already have an account? <a href="/login">Log in.</a></p>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Register Section -->

</main>
<!-- End #main -->


<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>

</body>
</html>